Subject: RE: dll, java, gcc, cygwin
From: [email-masked] (Philip A. Larson)

24 Oct 1998 08:01:41 -0700
Message-ID: <01BDFEE2.7926ECA0.cygnus.gnu-win32@DST1-BASE>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "'Paul at Sunnyvale'" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Paul, and others. 

I have the following problems when running Cygwin / Qub perl on my Windows 95 machine. Any ideas?

1.)  The BASH shell, indeed the whole bloody computer locks up if you try to run some DOS commands or programs.  The Cygwin FAQ talks about lock-ups with Ctrl-C and downloading a USB patch from OSR2, but I don't thinks it applies.
2.)  Same old problem with getting files to accept permission or ownership changes. Probably because their is no passwd file and when I run mkpasswd it can't find an export function in an API dll. I get affirmative reports when using the -v verbose flag. You have some control over the owner write property if you set the archive, and read only attributes in DOS mode.  Any directory or file ending in .exe, or .com, or .bat, or .pif gets a "x" in the owners permissions.
3.)  The "make test" functions don't work in the install directory on the Storable module I successfully compiled. They work fine if you go ahead and install it and then re-run the tests. 
4.)   "ansidecl.h" is missing from both Cygwin and Qub/perl.  I got one from an old egcs1-1b tar file I had.

Many Thanks,

Phil Larson

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".